/*
 * @Author: error: error: git config user.name & please set dead value or install git && error: git config user.email & please set dead value or install git & please set dead value or install git
 * @Date: 2021-07-15 12:26:02
 * @LastEditors: wenjie 1454560336@qq.com
 * @LastEditTime: 2024-11-22 14:41:47
 * @FilePath: \admin-manage\src\api\auth.js
 * @Description: 
 * 
 * Copyright (c) 2023 by ${git_name_email}, All Rights Reserved. 
 */
import request from '@/utils/request'

export function refreshToken(data) {
  return request({
    url: '/token',
    method: 'post',
    data
  })
}

// 登录
export function login(data) {
    return request({
        url: '/analystserver/index/login',
        method: 'post',
        data
    })
}


// 修改密码
export function updateLoginPassword(data) {
  return request({
      url: '/analystserver/index/updateLoginPassword',
      method: 'post',
      data
  })
}

// 获取企业列表
export function superadminList(params) {
  return request({
      url: '/analystserver/index/superadminList',
      method: 'get',
      params
  })
}

// 菜单管理
export function getMenuList(params) {
  return request({
      url: '/zswl-cloud-shop/authMenu/search',
      method: 'get',
      params
  })
}

// 添加编辑菜单
export function addOrUpdateMenu(data) {
  return request({
      url: '/zswl-cloud-shop/authMenu/addOrUpdate',
      method: 'post',
      data
  })
}

// 菜单层级数据
export function getMenuData(params) {
  return request({
      url: '/zswl-cloud-shop/authMenu/search',
      method: 'get',
      params
  })
}

// 菜单详情
export function menuDetail(params) {
  return request({
      url: '/zswl-cloud-shop/authMenu/get',
      method: 'get',
      params
  })
}

// 菜单删除
export function delMenu(params) {
  return request({
      url: '/zswl-cloud-shop/authMenu/del',
      method: 'get',
      params
  })
}

// 获取权限菜单
export function getMenuAuth(params) {
  return request({
      url: '/zswl-cloud-shop/authRoleEmployee/getAuth',
      method: 'get',
      params
  })
}

// 获取权限按钮
export function getAuthButton(params) {
  return request({
      url: '/zswl-cloud-shop/authRoleEmployee/getAuthButton',
      method: 'get',
      params
  })
}


// 角色列表
export function authRoleList(params) {
  return request({
      url: '/zswl-cloud-shop/authRole/search',
      method: 'get',
      params
  })
}

// 角色启用禁用
export function authRoleEnable(params) {
  return request({
      url: '/zswl-cloud-shop/authRole/enable',
      method: 'get',
      params
  })
}

// 添加编辑角色
export function addOrUpdateAuthRole(data) {
  return request({
      url: '/zswl-cloud-shop/authRole/addOrUpdate',
      method: 'post',
      data
  })
}

// 获取全部角色
export function getAllRole(params) {
  return request({
      url: '/zswl-cloud-shop/authRole/data',
      method: 'get',
      params
  })
}



// 用户列表
export function getUserList(params) {
  return request({
      url: '/zswl-cloud-shop/authRoleEmployee/search',
      method: 'get',
      params
  })
}

// 添加用户
export function addUser(data) {
  return request({
      url: '/zswl-cloud-shop/authRoleEmployee/add',
      method: 'post',
      data
  })
}

// 编辑用户
export function updateUser(data) {
  return request({
      url: '/zswl-cloud-shop/authRoleEmployee/update',
      method: 'post',
      data
  })
}

// 启用用户
export function enableUser(params) {
  console.log(params);
  return request({
      url: '/zswl-cloud-shop/authRoleEmployee/enable',
      method: 'get',
      params
  })
}
